%define _disable_ld_no_undefined 1

Name:		fbreader
Version:	0.99.5
Release:	%mkrel 2
Summary:	Reader for e-books in various formats
License:	GPLv2
Group:		Office
URL:		http://www.fbreader.org
Source:		%{name}-%{version}.tar.xz
Patch1:		fbreader-0.99.5-gcc7.patch
Patch2:		fbreader-0.99.5-mga-port-to-qt5.patch
Patch3:		fbreader-0.99.5-alt-fix-menu-about.patch
BuildRequires:	libstdc++-devel
BuildRequires:	linebreak-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	lib64bzip2-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(zlib)
Obsoletes:      fbreader-devel

%description
FBReader is an e-book reader for various platforms.
Supported formats include: fb2, HTML, chm, plucker, palmdoc,
zTxt, TCR, RTF, OEB, OpenReader, mobipocket, plain text.

%prep
%setup -q
%apply_patches


# fix Qt5 build
perl -pi -e 's,moc-qt5,%{_qt5_bindir}/moc,' makefiles/arch/desktop.mk

perl -pi -e 's,-lunibreak,-llinebreak,' makefiles/config.mk zlibrary/text/Makefile

%build
export CFLAGS="%{optflags} -std=c++11 -fPIC"
export LDFLAGS="%{ldflags}"

make -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy

make -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy

make -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt5

make -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy

%install
make -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

make -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

make -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4 \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

make -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

# add mimetypes and fix icon extension
desktop-file-install \
	--vendor="" \
	--set-icon=FBReader \
	--add-mime-type="application/epub+zip;application/rtf;" \
	--add-mime-type="application/x-mobipocket-ebook;application/x-fictionbook+xml;" \
	--add-mime-type="application/x-zip-compressed-fb2;" \
	--add-mime-type="text/html;application/xhtml+xml;" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/FBReader.desktop

# man
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 fbreader/desktop/FBReader.1 %{buildroot}%{_mandir}/man1

# remove useless .so files (there are no includes to use them)
rm -f %{buildroot}%{_libdir}/*.so

%files
%{_bindir}/FBReader
%{_libdir}/*.so.*
%{_datadir}/FBReader/
%{_datadir}/pixmaps/*
%{_datadir}/zlibrary/
%{_datadir}/applications/*.desktop
%{_mandir}/man1/FBReader.1.*


%changelog
* Sat Mar 09 2019 tex 0.99.5-2pclos2019
- rebuild
